import { CorsignPayloadPerson, CorsignToken } from './token';
/**
 *
 * @param person Person payload
 * @param issuer Issuer
 * @param privateKey Optional private key
 * @returns Corsign-JWT
 */
export declare const generateUnsignedCorsignToken: (person: CorsignPayloadPerson, issuer: string, privateKey?: string) => string;
/**
 * Decodes Encoded Corsign-JWT **without validation**
 *
 * @param token Encoded Corsign-JWT
 * @returns Decoded {@link CorsignToken}
 * @returns null if format of token is no {@link CorsignToken}
 */
export declare const decodeCorsignToken: (token: string) => CorsignToken | null;
/**
 *
 * @param token Any {@link CorsignToken}
 * @param validationUrl The url the qr code should point to defaults to https://corsign.de/v1/validate/{token}
 * @returns Data URI containing a representation of the QR Code image.
 */
export declare const generateCorsignQrCode: (token: string, validationUrl?: string) => Promise<string>;
